Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.transport.peerreview.evidence
Class ProofInconsistent

    java.lang.Object
      org.mpisws.p2p.transport.peerreview.evidence.ProofInconsistent

All Implemented Interfaces:
  Evidence, PeerReviewConstants, StatusConstants

    public class ProofInconsistent

extends java.lang.Object
implements PeerReviewConstants, Evidence

PROOF_INCONSISTENT byte type = PROOF_INCONSISTENT authenticator auth1 char whichInconsistency // 0=another auth, 1=a log snippet authenticator auth2 // if whichInconsistency==0 long long firstSeq // these fields exist only if whichInconsistency==1 hash baseHash [entries]

Author:
  Jeff Hoye

Field Summary
`Authenticator` | `auth1`
`Authenticator` | `auth2`
`static byte` | `LOG_SNIPPET`
`static byte` | `NO_SNIPPET`
`LogSnippet` | `snippet`

Fields inherited from interface org.mpisws.p2p.transport.peerreview.PeerReviewConstants
`AUTH_CACHE_INTERVAL, CERT_MISSING, CHAL_AUDIT, CHAL_SEND, DEFAULT_AUDIT_INTERVAL_MILLIS, DEFAULT_AUTH_PUSH_INTERVAL_MILLIS, DEFAULT_CHECKPOINT_INTERVAL_MILLIS, DEFAULT_LOG_DOWNLOAD_TIMEOUT, DEFAULT_TIME_TOLERANCE_MILLIS, EVT_ACK, EVT_CHECKPOINT, EVT_CHOOSE_Q, EVT_CHOOSE_RAND, EVT_INIT, EVT_MAX_RESERVED, EVT_MAX_SOCKET_EVT, EVT_MIN_SOCKET_EVT, EVT_RECV, EVT_SEND, EVT_SENDSIGN, EVT_SIGN, EVT_SOCKET_CAN_READ, EVT_SOCKET_CAN_RW, EVT_SOCKET_CAN_WRITE, EVT_SOCKET_CLOSE, EVT_SOCKET_CLOSED, EVT_SOCKET_EXCEPTION, EVT_SOCKET_OPEN_INCOMING, EVT_SOCKET_OPEN_OUTGOING, EVT_SOCKET_OPENED_OUTGOING, EVT_SOCKET_READ, EVT_SOCKET_SHUTDOWN_OUTPUT, EVT_SOCKET_WRITE, EVT_VRF, EX_TYPE_ClosedChannel, EX_TYPE_IO, EX_TYPE_Unknown, FLAG_FULL_MESSAGES_ALL, FLAG_FULL_MESSAGES_SENDER, FLAG_INCLUDE_CHECKPOINT, INVALID, INVESTIGATION_INTERVAL_MILLIS, MAINTENANCE_INTERVAL_MILLIS, MAX_ACTIVE_AUDITS, MAX_ACTIVE_INVESTIGATIONS, MAX_ENTRIES_BETWEEN_CHECKPOINTS, MAX_STATUS_INFO, MAX_WITNESSED_NODES, MSG_ACCUSATION, MSG_ACK, MSG_AUTHPUSH, MSG_AUTHREQ, MSG_AUTHRESP, MSG_CHALLENGE, MSG_RESPONSE, MSG_USERDATA, MSG_USERDGRAM, NO_CERTIFICATE, PROGRESS_INTERVAL_MILLIS, PROOF_INCONSISTENT, PROOF_NONCONFORMANT, RESP_AUDIT, RESP_SEND, SIGNATURE_BAD, SIGNATURE_OK, STATE_SEND_AUDIT, STATE_WAIT_FOR_LOG, TI_AUTH_PUSH, TI_CHECKPOINT, TI_MAINTENANCE, TI_MAKE_PROGRESS, TI_MAX_RESERVED, TI_START_AUDITS, TI_STATUS_INFO, VALID`

Fields inherited from interface org.mpisws.p2p.transport.peerreview.StatusConstants
`STATUS_EXPOSED, STATUS_SUSPECTED, STATUS_TRUSTED`

Constructor Summary
`ProofInconsistent(Authenticator auth1, Authenticator auth2)`
`ProofInconsistent(Authenticator auth1, Authenticator auth2, LogSnippet snippet)`
`ProofInconsistent(InputBuffer buf, AuthenticatorSerializer serializer, int hashSize)`

Method Summary
`short` | `getEvidenceType()`
`void` | `serialize(OutputBuffer buf)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NO_SNIPPET

    public static final byte NO_SNIPPET

See Also:
  Constant Field Values

### LOG_SNIPPET

    public static final byte LOG_SNIPPET

See Also:
  Constant Field Values

### auth1

    public Authenticator auth1

### auth2

    public Authenticator auth2

### snippet

    public LogSnippet snippet

Constructor Detail

### ProofInconsistent

    public ProofInconsistent(Authenticator auth1,
                             Authenticator auth2)

### ProofInconsistent

    public ProofInconsistent(Authenticator auth1,
                             Authenticator auth2,
                             LogSnippet snippet)

### ProofInconsistent

    public ProofInconsistent(InputBuffer buf,
                             AuthenticatorSerializer serializer,
                             int hashSize)
                      throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getEvidenceType

    public short getEvidenceType()

  Specified by:
    `getEvidenceType` in interface `Evidence`

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  Specified by:
    `serialize` in interface `Evidence`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.